Retrieves all the article categories

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_category
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

parent_id

Parent Article Category (Parent / Child)

globally unique identifier
parent_code

Embedded entity "article_category" for parent using ERP PK when adding/updating article_category

string
parent_article_category

Embedded entity "article_category" for parent when adding/updating article_category

article_category
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the article category

string

Required

Max length: 50

modified_dateutc

Readonly system field managed by the database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "cc8b489c-691e-4c6f-801b-9ffd7c98c2d7",
  "parent_id": "90ef18da-4bdb-45c6-b10d-01544c5ebec0",
  "parent_code": "sample string 3",
  "code": "sample string 4",
  "name": "sample string 5",
  "modified_dateutc": "2026-06-17T01:49:19.5919813+00:00"
}